import java.util.Scanner;

public class Led
{
  public static void main(String args[])
  {
    Scanner teclado = new Scanner(System.in);
    int nummostrar=1;
    int aumento=1;
    int tamano=5;
    
    boolean continuar= true;
    System.out.println("LED number display");
    System.out.println("\nNumero a mostrar [0=salir]:");
    nummostrar = teclado.nextInt();
    
    
    while (continuar)
    {
      if(continuar)
      {
        System.out.println("\nFactor de aumento (x):");
        aumento = teclado.nextInt();
        while (nummostrar!=0)
        {
          int modulo=nummostrar%10;
          
          switch(modulo)
          {
            case 1:
              
              for ( int fila = 1; fila <= (1*aumento); ++fila )
            {
              for ( int columna = 1; columna <= (1*aumento); ++columna )
                System.out.print("#");
              System.out.println();
            }
              break;
              
            case 0:
              
              for(int fila = 0; fila < (tamano*aumento); fila++)
            {
              for(int columna = 0; columna < (tamano*aumento); columna++)
              {
                if(fila == 0 || fila == (tamano - 1) || columna == 0 || columna ==tamano -1)
                {
                  //Aqui imprime el contorno del cuadrado!
                  System.out.print("#");
                }
                else{
                  //Aqui imprime un espacio en blanco para llenar el campo dentro del cuadrado
                  System.out.print(" ");
                }
              }
              System.out.println("");
            }break;
            case 2:
              for ( int fila = 1; fila <= (tamano*aumento); ++fila )
            {
              for ( int columna = 1; columna <= (tamano*aumento); ++columna )
                if(fila>aumento && fila<(aumento*2) && fila>(aumento*3) && fila<(aumento*5) && columna==aumento)
                System.out.print(" ");
              else
                System.out.print("#");
            }
              System.out.println();
              break;
              
          }
          nummostrar/=10;
        }//while2
      }//if
      System.out.println("\nNumero a mostrar [0=salir]:");
      nummostrar = teclado.nextInt();
      
      if (nummostrar==0)
        continuar=false;
    }//while1
    
  } // main()
} // class
